#ifndef GREEKUTILS_H
#define GREEKUTILS_H 1

#ifndef _WIN32
#include <stdint.h>
#endif
#include <stdlib.h>


#ifndef BOOL
#define BOOL	short
#endif //BOOL
#ifndef FALSE
#define FALSE	(0)
#endif
#ifndef TRUE
#define TRUE	(1)
#endif


#define PHP_GREEKUTILS_WORLD_VERSION "1.1.0"
#define PHP_GREEKUTILS_WORLD_EXTNAME "greekutils"

PHP_FUNCTION(greekutils_version);
PHP_FUNCTION(greekutils_day);
PHP_FUNCTION(greekutils_month);
PHP_FUNCTION(hextocolor);
PHP_FUNCTION(colortohex);
PHP_FUNCTION(greekutils_language);

PHP_MINFO_FUNCTION(greekutils);

extern zend_module_entry greekutils_module_entry;
#define phpext_greekutils_ptr &greekutils_module_entry


inline long CHANGEBASE(long value, int from, int to)
{
    //change base from [from] to [to]
    return value-from+to;     
}

#endif
